package domain

type AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult struct {
	/*
	   true--成功，false--失败     */
	Success *bool `json:"success,omitempty" `

	/*
	   活动数据     */
	ActivityList *[]AlibabaWdkMarketingOpenDarunfaActivitySyncSyncActivityResultBo `json:"activity_list,omitempty" `

	/*
	   错误码     */
	Message *string `json:"message,omitempty" `

	/*
	   错误描述     */
	ErrorCode *string `json:"error_code,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult) SetActivityList(v []AlibabaWdkMarketingOpenDarunfaActivitySyncSyncActivityResultBo) *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult {
	s.ActivityList = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySyncWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
